Àwọn ẹnubode méjì tí a ṣètò pẹ̀lú kọkọrọ kan náà tí a pín tẹ́lẹ̀ ń parí ìfọwọ́sowọ́pọ̀, kí àkọsílẹ̀ àwọn pákẹ́ẹ̀tì má sì fi àṣírí kankan hàn tí ń kọjá orí waya. Ìyẹn ni apá tí àwọn ènìyàn ń rántí. Apá tí ó fani mọ́ra ni ohun tí ẹ̀yà kọ̀ọ̀kan ń ṣírò ní ti gidi láti fi hàn pé a mọ àṣírí náà, nítorí IKEv1 àti IKEv2 ń kọ́ ẹ̀rí yẹn láti inú àwọn dátà ọ̀tọ̀ọ̀tọ̀, wọ́n sì ń ṣí àwọn ìsọfúnni ọ̀tọ̀ọ̀tọ̀ payá bí wọ́n ṣe ń ṣe é. Ka àwọn ipasẹ̀ méjèèjì lẹ́gbẹ̀ẹ́ ara wọn, ìyàtọ̀ yóò sì jáwọ́ jíjẹ́ ti ojú.

Ohun tí ẹ̀rí gbọ́dọ̀ ṣe

Diffie-Hellman ń fún ẹ̀gbẹ́ méjèèjì ní iye tí a pín tí ẹnikẹ́ni tí ń wo náà lè ṣírò ìdajì gbangba rẹ̀. Ní ara rẹ̀, ìyẹn kò fi nǹkan kan hàn nípa ìdánimọ̀: olùkọlù tí ó parí pàṣípààrọ̀ kọkọrọ ní iye tí a pín kan náà pẹ̀lú ẹnubode rẹ. Ìgbésẹ̀ ìjẹ́rìí wà láti so pàṣípààrọ̀ yẹn mọ́ àṣírí tí àwọn ẹ̀gbẹ́ tí a ní lọ́kàn nìkan ni ó ní, àti mọ́ àwọn ìdánimọ̀ àti àwọn pàtàkì tí wọ́n gbà.

Ìsopọ̀ yẹn ni ìdí tí hash fi ń bo ju kọkọrọ lọ. Bí ó bá bo àṣírí nìkan, olùkọlù ì bá lè tún un ṣe nínú pàṣípààrọ̀ mìíràn pẹ̀lú ìdánimọ̀ tàbí àbá ọ̀tọ̀ọ̀tọ̀.

IKEv1 Main Mode: yọ SKEYID jáde, kí o sì fi í hàn

Main Mode ń ṣe àwọn ìfiránṣẹ́ mẹ́fà. Ẹ̀kọ́ àkọ́kọ́ ń ṣe ìdúnàádúrà fún ìsopọ̀ ààbò, ẹ̀kọ́ kejì ń pàṣípààrọ̀ àwọn iye gbangba Diffie-Hellman àti nonce, ẹ̀kọ́ kẹta sì ń gbé àwọn ìdánimọ̀ pẹ̀lú hash ìjẹ́rìí lábẹ́ ìpamọ́ tí a ṣẹ̀ṣẹ̀ dá. RFC 2409 ń ṣàlàyé ìkọ́ náà: pẹ̀lú ìjẹ́rìí kọkọrọ tí a pín tẹ́lẹ̀, a yọ SKEYID jáde láti inú àṣírí àti àwọn nonce méjèèjì, àwọn ohun èlò kọkọrọ tó ń bọ̀ sì wá láti SKEYID, iye tí a pín Diffie-Hellman, àwọn kúkì àti àwọn ìdúró.

A ń ṣírò hash nínú ìfiránṣẹ́ karùn-ún àti kẹfà lórí iye Diffie-Hellman, kúkì méjì, àbá àti ìdánimọ̀ olùránṣẹ́, pẹ̀lú SKEYID gẹ́gẹ́ bí kọkọrọ. Olùgbà ń tún un ṣírò pẹ̀lú àṣírí rẹ̀ tí a ṣètò. Àìbáramu ń parí pàṣípààrọ̀ náà, àṣírí fúnra rẹ̀ kò sì ṣe ẹrù rárá.

Aggressive Mode ń rọ́ iṣẹ́ kan náà sínú ìfiránṣẹ́ mẹ́ta, èyí sì túmọ̀ sí pé àwọn ìdánimọ̀ àti hash ìjẹ́rìí ń rìnrìn àjò kí ọ̀nà tí a ti pamọ́ tó wà. Ìyẹn jẹ́ ìfarahàn gidi fún àṣírí tí a lè fojú rò, ó sì yàtọ̀ sí ìbéèrè bóyá a rán àṣírí náà. IKEv1 ti di àtijọ́ nípasẹ̀ RFC 9395, nítorí náà ipasẹ̀ àtijọ́ jẹ́ ìdánrawò ìṣàyẹ̀wò, kì í ṣe àfojúsùn ìgbékalẹ̀.

IKEv2: ìyọjáde mìíràn àti ẹrù AUTH mìíràn

IKEv2 kò tún lo ìtòlẹ́sẹẹsẹ kọkọrọ IKEv1. Àwọn kọkọrọ IKE àkọ́kọ́ wá láti inú irúgbìn tí a kọ́ láti àwọn nonce àti iye tí a pín Diffie-Hellman, àwọn ìsopọ̀ ààbò ọmọ sì wá láti ibẹ̀. Kọkọrọ tí a pín tẹ́lẹ̀ kò fi kankan bọ́ irúgbìn.

Ìjẹ́rìí yóò sì farahàn gẹ́gẹ́ bí ẹrù AUTH. Fún ìjẹ́rìí kọkọrọ tí a pín, RFC 7296 ń ṣàlàyé irú àṣírí tí a fi kún, tí a ń rí nípa ṣíṣe hash àṣírí pẹ̀lú okùn ìdúró Key Pad for IKEv2, lẹ́yìn náà ṣíṣe hash àwọn dátà pàṣípààrọ̀ tí a fi ọwọ́ sí àti ìdánimọ̀ pẹ̀lú kọkọrọ tí a fi kún yẹn. Olùjẹ́rìí lè tún iye kan náà kọ́; olùwòran kò lè ṣe bẹ́ẹ̀, láìsí àṣírí.

Kíyèsí ohun tí ó yípadà. Nínú IKEv1 a ti dà àṣírí sínú ìtòlẹ́sẹẹsẹ kọkọrọ kí hash ìjẹ́rìí tó wà; nínú IKEv2 ìtòlẹ́sẹẹsẹ kọkọrọ yàtọ̀ sí àṣírí, ẹ̀rí sì jẹ́ ẹrù ọ̀tọ̀ọ̀tọ̀ tí a so mọ́ àwọn octet tí a fi ọwọ́ sí. Ìdánilójú èròǹgbà kan náà, ẹ̀rọ mìíràn, ìdí nìyẹn tí àwọn orúkọ pàtàkì àti àkọsílẹ̀ kò fi bá ara wọn mu ní ọ̀kan-ọ̀kan.

Ohun tí olùwòran ń kọ́ ní ti gidi

Àwọn iye gbangba Diffie-Hellman, àwọn àbá, àwọn nonce àti àwọn kúkì ń hàn nínú ẹ̀yà méjèèjì. Àwọn ìdánimọ̀ ń hàn nínú IKEv1 Aggressive Mode, a sì ń dáàbò bò wọ́n nínú àwọn ipò mìíràn. Àṣírí kò hàn rárá.

Gbolohun tí ó gbẹ̀yìn yẹn ní ààlà tí ó yẹ kí a sọ. Àṣírí aláìlera tí ènìyàn yàn ni a lè kọlù nípa fífòjú rò: olùkọlù ń ṣírò iye ìjẹ́rìí yóò jẹ́ fún àṣírí tí a ń fojú rò, yóò sì fi wé. IKEv1 Aggressive Mode ń jẹ́ kí èyí wà ní ọ̀wọ̀n pẹ́ńpẹ́ nítorí pé ẹ̀rí wà ní gbangba, àwọn ìlànà sì ń kìlọ̀ nípa àwọn àṣírí tí entropy wọn kéré ní gbogbogbò. Láìfi àṣírí ránṣẹ́ rárá kò dà bí ṣíṣe àṣírí búburú ní ààbò.

Kí ni ó yẹ kí a ṣe pẹ̀lú ìfiwéra yìí

Lo àṣírí kan tí ó yàtọ̀ fún ẹ̀wẹ̀ẹ́ olùbáṣepọ̀ kọ̀ọ̀kan, dá a láti orísun àìdánimọ̀, kí o sì yí i ká nípasẹ̀ ọ̀nà ìpèsè kan náà tí ó ti pín i. Bí àṣírí bá wà nínú àwòṣe ìṣètò tí a ń rán sí gbogbo ẹ̀ka, ìwọ́lára ní ibi kan jẹ́ ìwọ́lára níbi gbogbo.

Yàn ìjẹ́rìí tí ó dá lórí ẹ̀rí-ìjẹ́rìí níbi tí ìnáwó iṣẹ́ bá yá, nítorí ó ń yọ ìṣòro fífòjú rò àṣírí tí a pín kúrò, ó sì ń fún olùbáṣepọ̀ kọ̀ọ̀kan ní ìdánimọ̀ ọ̀tọ̀ọ̀tọ̀. Níbi tí kọkọrọ tí a pín tẹ́lẹ̀ bá ṣì wà, jẹ́ kí ó gùn, dín ààyè rẹ̀ kù, kí o sì ka ẹ̀yà IKE sí ìpinnu ààbò, kì í ṣe kúlẹ̀kúlẹ̀ ìbáṣepọ̀.

Àwọn àpilẹ̀kọ tó jọra